// Vertex Shader  file "shadow.vert"	

#version 330

//Shadow Depth Shader

//geometry uniforms
uniform mat4 modelViewMatrix;

//camera uniforms
uniform mat4 projectionMatrix;

//per vertex attributes
in vec4 vertex;
in vec3 color;

//variables for fragment shader		
out vec3 frag_color;

void main(void) {
	gl_Position = projectionMatrix * modelViewMatrix * vertex;

	frag_color = color;
}
