// Fragment Shader  file "simple.frag"	

#version 330

uniform sampler2D texture0;

in vec4 color;
in vec2 tex_coord0;						//texture coordinates

out vec4 fragColor;

void main(void)	{
	vec3 tex = texture(texture0, tex_coord0.st).rgb;
	float val = color.x;
	fragColor = vec4(tex.x * val, tex.y * val, tex.z * val, 1.0); //mix(color, vec4(tex, 1.0), 0.8); //color; //vec4(1.0, 1.0, 1.0, 1.0);
}